<script lang="ts" setup>
import { ref } from "vue";
const num = ref(0);
</script>

<template>
  <v-container>
    <v-text-field
      v-model.number="num"
      label="Please input Number"
      type="Number"
      :rules="[(v) => v >= 1 || 'Number is not empty!!']"
      required
    ></v-text-field>
    <v-row>
      <v-col
        col="6"
        v-for="index in num"
        :key="index"
        style="text-align: center"
        sm="1"
      >
        {{ index }}
      </v-col>
    </v-row>
  </v-container>
</template>
